Bug 1231545 - kill some more rpath
Summary: kill some more rpath
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gstreamer1-plugins-bad-free
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-14 15:21 UTC by Fabrice Bellet
Modified: 2016-02-21 16:25 UTC (History)
3 users (show)

Fixed In Version: gstreamer1-plugins-bad-free-1.6.3-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 13:00:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabrice Bellet 2015-06-14 15:21:09 UTC
Hi!

some plugins still contain hardcoded /usr/lib64 rpath, that maybe could be removed (it also concerns f22):

[bellet@bonobo gstreamer-1.0]$ for f in *.so; do chrpath $f; done | grep RPATH
libgstaudiomixer.so: RPATH=/usr/lib64
libgstcompositor.so: RPATH=/usr/lib64
libgstdashdemux.so: RPATH=/usr/lib64
libgstdvb.so: RPATH=/usr/lib64
libgstfragmented.so: RPATH=/usr/lib64
libgstmpegtsdemux.so: RPATH=/usr/lib64
libgstmpegtsmux.so: RPATH=/usr/lib64
libgstopengl.so: RPATH=/usr/lib64
libgstrtpbad.so: RPATH=/usr/lib64
libgstsmoothstreaming.so: RPATH=/usr/lib64
libgstvdpau.so: RPATH=/usr/lib64
libgstwaylandsink.so: RPATH=/usr/lib64

Comment 1 Jan Kurik 2015-07-15 14:00:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2016-02-16 12:22:29 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9306bdfd4a

Comment 3 Fedora Update System 2016-02-17 06:27:50 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9306bdfd4a

Comment 4 Fedora Update System 2016-02-21 13:00:26 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-21 16:19:51 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-21 16:25:46 UTC
gstreamer1-plugins-bad-free-1.6.3-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.